BuildRequires: acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel gpm grep groff gzip info less libacl libattr libstdc++ m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools openssl pam patch popt procps psmisc rcs readline sed strace tar texinfo unzip util-linux zlib zlib-devel arts arts-devel autoconf automake binutils expat fam fam-devel fontconfig fontconfig-devel freeglut freeglut-devel gdbm gettext glib2 glib2-devel kdelibs3 kdelibs3-devel libart_lgpl libart_lgpl-devel libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtiff-devel libtool libxml2 libxml2-devel libxslt libxslt-devel openssl-devel pcre pcre-devel perl python qt3 qt3-devel rpm pkgconfig

%if 0%{?suse_version} == 930 || 0%{?suse_version} == 1000
BuildRequires: update-desktop-files
%endif

%if 0%{?fedora_version} == 9
BuildRequires:  compat-gcc-34 compat-gcc-34-c++
%else
BuildRequires:	gcc gcc-c++ libgcc
%endif

%define smptag %(uname -a|awk '{print $5}')

Name:		kvpnc
License:	GPL
Group:		Productivity/Networking/System
Summary:	KDE frontend for various vpn clients
Summary(de):	KDE-Oberflaeche fuer verschiedene VPN-Clients
Version:	0.9.6
Release:	17.1
URL:		http://kvpnc.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source0:	%{name}-%{version}.tar.bz2

%if 0%{?suse_version}
PreReq:         %insserv_prereq %fillup_prereq
%endif

%description -l de
KVpnc ist eine KDE-Oberflaeche fuer verschiedene VPN-Clients. Es unterstuetzt Cisco VPN (vpnc) und IPSec (FreeS/WAN, racoon).
vpnc ist eine Ersetzung fuer den Cisco VPN-Client und er wird als Client fuer den cisco3000 VPN-Konzentrator benutzt,
FreeS/WAN (OpenS/WAN) ist ein IPSec-Client fuer Linux 2.4.x und racoon ist ein IPSec-Client fuer Linux 2.6.x und *BSD.
Es unterstuetzt auch PPTP (pptpclient) und OpenVPN.

%description
KVpnc is a KDE frontend for various vpn clients. It supports Cisco VPN (vpnc) and IPSec (FreeS/WAN, racoon).
vpnc is a replacement for the cisco VPN client and its used as client for the cisco3000 VPN Concentrator, 
FreeS/WAN (OpenS/WAN) is a IPSec client for Linux 2.4.x and racoon is a IPSec client for Linux 2.6.x and *BSD.
It supports also PPTP (pptpclient) and OpenVPN.



Authors:
--------
    Christoph Thielecke <crissi99@gmx.de>

%if ! 0%{?fedora_version} >= 9
%debug_package
%endif

%prep
%setup -q -n %{name}-%{version}

%build
if [ ! -f configure ] ; then
%__make -f admin/Makefile.common
fi

%if 0%{?suse_version}
        . /etc/opt/kde3/common_options
        export QTDIR=%_libdir/qt3
	%define kde_prefix /opt/kde3 
        CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" ./configure $configkde --disable-final --libdir=$kde_libdir \
%else

%if 0%{?centos_version} == 4
	source "%{_sysconfdir}/profile.d/qt.sh"
	CFLAGS="`pkg-config --libs qt-mt`" CPPFLAGS="`pkg-config --libs qt-mt`" \
%endif
%if 0%{?fedora_version} == 9
        CC="gcc34" CXX="g++34" \
%endif
%if 0%{?fedora_version} == 13
	LDFLAGS="-lkwalletclient"
%endif
        ./configure --prefix=%{_prefix} --libdir=%{_libdir} \
%endif
%if 0%{?centos_version} == 4
	--with-xinerama \
	--with-extra-libs=%{_libdir} \
%endif
        --disable-rpath

if [ %{smptag} = SMP ]; then
        %{__make} -j2
else
        %{__make}
fi

%install
iconv -f iso8859-1 -t utf-8 src/kvpnc.desktop > w && mv w src/kvpnc.desktop
make DESTDIR=$RPM_BUILD_ROOT install-strip
rm -rf $RPM_BUILD_ROOT/opt/kde3/share/doc/HTML/kvpnc
%if 0%{?suse_version}
        %suse_update_desktop_file %name System Network
%endif
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%if 0%{?suse_version}
%{kde_prefix}/bin/kvpnc
%{kde_prefix}/share/applications/kde/kvpnc.desktop
%{kde_prefix}/share/apps/kvpnc
%{kde_prefix}/share/doc/HTML/*/kvpnc
%{kde_prefix}/share/icons/hicolor/*/apps/kvpnc.png
%{kde_prefix}/share/icons/locolor/*/apps/kvpnc.png
%{kde_prefix}/share/locale/*/LC_MESSAGES/kvpnc.mo
%else
%{_prefix}/bin/kvpnc
%{_prefix}/share/apps/kvpnc
%{_prefix}/share/applnk/kvpnc.desktop
%{_prefix}/share/doc/HTML/kvpnc
%{_prefix}/share/doc/HTML/*/kvpnc
%{_prefix}/share/icons/hicolor/*/apps/kvpnc.png
%{_prefix}/share/icons/locolor/*/apps/kvpnc.png
%{_prefix}/share/locale/*/LC_MESSAGES/kvpnc.mo
%endif

%changelog
* Thu Mar 11 2010 Carsten Schoene <cs@linux-administrator.com> - 0.9.6-1
 - bugfixes:
  if no profile was imported at kvpnc profile import keep profile name at profile selector fixed
  remote id toggle  at newprofilewizard at *swan use fixed
  remote id options at newprofilewizard at *swan use fixed
  local id options at newprofilewizard at *swan use fixed
  split specific options at preferencesdialog in multiple tabs (*swan, racoon, pptp, openvpn) for reducing preferencesdialog size (kde3: #13610, kde4: #219556)
  vpnc config options if ca cert or ca dir empty for use hybrid mode fixed (thanks to Todd Kennedy)
  enable psk options at hybrid mode fixed (vpnc)
  selecting profile selects not right profile fixed [kde4]
  openvpn specific options toggle fixed [kde4]
  crash at p12 certificate import fixed [kde4]
  p12 import at openvpn profile import fixed [kde4]
  crash at generate openvpn key fixed (#224507) [kde4]
  remote network netmask at newprofilewizard at *swan use fixed [kde4]
  use udp label text at newprofilewizard at *swan use fixed [kde4]

 - features:
  check if profile already exists at kvpnc profile import added
  toggle all/none profiles at kvpnc profile import added
  user defined import prefix at kvpnc profile import added
  kde4 translation updated

* Wed Mar 03 2010 Carsten Schoene <cs@linux-administrator.com> - 0.9.5-1
- update to release 0.9.5
  use nat fixed (vpnc)
  vpnc config option for use hybrid mode fixed
  hide useless cisco cert comboboxes if not needed
  use nat at pcf import fixed
  cancel at pcf import if profile name already exists fixed
  parameter at log message fixed (openvpn)
  bool options fixed at kvpnc profile import
  wrong label (before disconnect) in preferencesdialog fixed [kde4]
  HTTP Proxy Authtype at kvpnc profile export fixed
  auth type at kvpnc profile export fixed
  hide ipsec virtual ip options at newprofilewizard (openvpn)
  crash at connecting fixed (openvpn)
  keeping existing nameserver fixed (openvpn)
  memleak fix (vpnc)
  vpnc start fix [kde4]
  some vpnc kill fixes
  fixes regarding indexes of comboboxes in preferencesdialog [kde4]
  displaying auth type at change in preferencesdialog
  authtype display at profile change fixed
  display add/remove additional network routes fixed
  use default interface at add/remove additional network routes if no device is given
  hybrid mode at preferencesdialog fixed (vpnc)
  save CertPath at preferencesdialog fixed (racoon)
  if profile name with spaces is entered at newprofilewizard dont continue fixed
  use nat preselection at newprofilewizard fixed
  udp port toggle at newprofilewizard fixed
  default route combobox at newprofilewizard fixed [kde4]
  index fixes at newprofilewizard [kde4]
  crash at connecting state fixed (openvpn)
  save username if username/password from authdialog is requested save is checked (openvpn)
  dont display authdialog if userdata already collected (openvpn)
  memleak fix (openvpn)
  crash at newprofilewizard at ssh type on tunnel type change fixed
  use cisco icon instead pcf icon in for pcf menu entry
  kde4 translation updated

* Mon Mar 01 2010 Carsten Schoene <cs@linux-administrator.com> - 0.9.4-1
- update to release 0.9.4
 - bugfixes
  rsa key auth at ipsec config file import fixed
  rsa key auth for psk fixed (*swan)
  psk at ipsec config file import fixed
  connect success status message at *swan fixed
  cert path within inline cert at openvpn config file import fixed
  possible crash at displaying dock tooltip at disconnected state fixed
  displaying *swan import entry in profile menu fixed
  ipsec config file import fixes
  crash at disconnect in connecting state fixed (racoon)
  cancel at fritzbox vpn user config file import fixed
  removing virtual ip address at disconnect on connecting state fixed (racoon)
  adding virtual ip at connecting state fixed (racoon)
  http proxy widget at preferencesdialog fixed
  crash at connecting fixed (*swan)
  virtual ip fixes (*swan)
  phase 2 quickmode detecion fixed (*swan)
  make gui not freezing if module loading/unloading
  (rare) race condition on ipsec start fixed
  psk mode at l2tp fixed (*swan)
  debug level for racoon fixed
  auth type on authtype change at preferencesdialog fixed
  remoteid type fixed if empty
  temporary static klips debug removed
  toggle of remoteid type fixed if none
  rightsourceip at *swan fixed
  crash at connect (rare cases) fixed
  psk auth type fixed on loading profiles
  racoon debug level at preferencesdialog fixed
  dh group at racoon fixed
  export date at kvpnc profile export fixed
  nat option fixes
  xauth at ipsec fixed if strongSwan is used and psk is in file
  psk on ipsec fixed if openswan is used
  ipsec flavour parsing fixed
  changing auth type fixed
  selector tooltip fixes
  mru checkbox in profile settings fixed
  pptp auth options fixed
  handle reject auth at ssh fixed
  check existing profile name at new profile creation fixed
  crash after delete profile fixed
  crash after delete last profile from preferencesdialog fixed
  creating new profile saved with old data when called from preferencesdialog fixed
  hang at vpnc connect fixed
  lineend at some vpnc debug messages fixed
  pptp crash fixes
  openvpn config option fixes
  openvpn version checking for script security parameter fixed
  saving changed profile settings after autofix fixed
  crash on connect via openvpn fixed
  reconnect on connection lost at pptp fixed
  private key password use toggle fixed at importcertifcate dialog
  local id at profile creation (racoon) in newprofilewizard fixed
  certificate import button on certificate profile page fixed
  crash at disconnect on connecting state fixed (openvpn)
  crash at disconnect on connecting state fixed (pptp)
  resolv.conf restore after disconnect if no resolvconf installed fixed
  connect success event display fixed [kde4]
  dock tooltip fixed at disconnected state [kde4]
  add virtual ip at connecting state fixed (racoon) [kde4]
  connect status alignment in statusbar fixed [kde4]
  sorting order at toolsinfodialog fixed [kde4]
  initial size at toolsinfdialog fixed [kde4]
  sorting order at vpntypesinfodialog fixed [kde4]
  initial size at ciscocertificateenrollmentdialog fixed [kde4]
  endless loop at killing pptp fixed [kde4]
  help for esp parameter at *swan options fixed [kde4]
  memory leak at module loading/unloading fixed [kde4]
  sorting at comboboxes fixed [kde4]
  leftsourceip at virtual ip options fixed [kde4]
  rightsourceip at virtual ip options fixed [kde4]
  auto reconnect on disconnect fixed (pptp) [kde4]
  saving state of ping check checkbox fixed [kde4]
  typo fixes [kde4]
  fixes regarding kwallet [kde4]
  displaying empty pages fixed (#221506) [kde4]
  crash at connecting at ssh vpn fixed [kde4]
  save only one profile fixed [kde4]
  disconnect ssh slots on disconnect fixed [kde4]
  kwallet fixes [kde4]
  error handling at certificate import fixed [kde4]
  crash after delete last profile from preferencesdialog fixed (#221635) [kde4]
  creating new profile saved with old data when called from preferencesdialog fixed (#210448) [kde4]
  translation parameter fixes [kde4]
  crash at lost connect fixed (pptp) (#208065) [kde4]
  crash at disconnect on connecting state fixed (pptp) (#207786) [kde4]
  resolv.conf restore after disconnect if no resolvconf installed fixed (#206211) [kde4]
  up/down scripts removed at openvpn config file export
  local id at psk on *swan fixed
  using /etc/init.d/ipsec stop for stopping openswan because ipsec setup stop doesnt cleanup all
  local/remote id types fixed (racoon)
  hybrid detection display in toolsinfo dialog fixed
  hybrid mode at preferencesdialog fixed (vpnc, vpnclient) [kde4]
  
 - features
  save only new profiles at ipsec config file import
  ipsec error handling improved
  support for inline certificates (user certificate, ca certificate, private key, tls-key) at openvpn config file import added (see doc/README.OPENVPN_INLINE_CERT)
  importing username by special line at openvpn config file import added (# OVPN_ACCESS_SERVER_USERNAME=)
  hide ipsec related settings at virtualip options page if not nessary
  cpu usage reduced
  dock tooltip better formatted
  eventsrc updated
  stop connecting if hostname could not resolved at racoon profile
  displaying virtual ip address in tooltip added (*swan, racoon)
  dhgroup for esp added (*swan)
  filter for fritzbox vpn user config file changed to "vpnuser_*.cfg"
  dont use "VPN connexion established" as successful connect at racoon
  useless netmask removed at setkey rules
  temporary static rightid removed at *swan
  useless http proxy options on racoon usage disabled
  user options on racoon usage disabled if not xauth or l2tp
  dottedIpv4Netmask2NetmaskBytes function at utils added
  fritzbox vpn user config file import added
  set text instead item number for auth type at preferencesdialog
  save single profile at additionally to config sync
  racoon virtual ip support added (use LeftSourceIP)
  debug options for pluto and klips added (*swan)
  remote id moved from cert options to ipsec/racoon options
  checking gre support at pptp added
  load ip_gre module if nessary at pptp
  code cleanup
  display profile info in profile selector tooltip added
  not useable mppe and ppp options now disabled at l2tpd profile
  l2tp auth at profile selector tooltip for l2tp profiles added
  save only current profile instead of all if passwords got from dialog during connecting
  messagebox for user added if connection was refused at pptp connect try
  use KProcess instead QProcess in some cases at utils
  tun device check more reliable made
  allow hostname instead of ip address in ping check too
  ciscouserca type at importcertifcate dialog added (user + ca certificate)
  certificate will now imported into cisco cert store if set in config file
  use cisco cert store option at certificate settings at orig cisco usage added
  importing a pcf file containing certificate will now import the certificate too (file/cert store is selected by CertStore option in pcf file)
  certificate select dialog now show also certs with der extension
  hybrid support detection at vpnc added (openssl support compiled in)
  hybrid mode (ca cert and name/password) added (vpnc, vpnclient)
  ca certificate import at importcertifcate dialog added
  use nat option added (split use udp into use udp and use nat for more flexibility)
  process only events if needed at getting certs from Cisco cert store
  debug output for replacing defaultroute added (vpnc)
  display other informal msg from ipsec helper too [kde4]
  read only first ip address from interface at getInterfaceIP [kde4]
  clear text password from config file removed (workaround found) [kde4]
  add userpage at pcf import on new profilewizward disabled [kde4]
  set default network protocol to tcp at openvpn profile import
  use file select dialog instead of textinput dialog for getting filename at openvpn config file export
  id type tooltips at remote/local id comboboxes added
  netstat toolinfo display added
  certificate prefix can now specified at openvpn type


* Sun Aug 30 2009 Carsten Schoene <cs@linux-administrator.com> - 0.9.3-1
- update to release 0.9.3 
 - bugfixes
  --non-inter option removed because no longer nessary
  useless extra route disabled
  resolvconf fixes
  creating additional route with /32 mask fixed
  crash on wrong import password on p12 certificate fixed
  certificate import p12 fixed
  keeping default route fixed (pptp)
  crash at import ipsec config fixed (#205502) [kde4]
  displaying values in importprofiledialog after importing ipsec config fixed [kde4]
  enterxauthinteractivepasscode layout fixed [kde4]
  ppp auth method in preferencesdialog fixed [kde4]
  ask username/password only if needed fixed (pptp) [kde4]
  cisco nat mode saving fixed [kde4]
  dialog change detection in preferencesdialog fixed [kde4]
  ProfileCmdExecAfterDisconnectSelector on preferencesdialog fixed [kde4]
  ProfileSpecificSelector on preferencesdialog fixed [kde4]
  icon size on daemon options fixed [kde4]
  icon size on helper program options fixed [kde4]
  export kvpnc profiles fixed [kde4]
  filename select on kvpnc profile import fixed [kde4]#
 - features
  check cisco_cert_mgt tool before running the wizard added
  allow empty certificate password on vpnclient
  qt3 compat usage removed in kfeedbackdialog [kde4]
  import/export profiles now checkable (instead of select) [kde4]

* Sun Aug 02 2009 Carsten Schoene <cs@linux-administrator.com> - 0.9.2-1
- update to release 0.9.2 (mainly bugfixes)
  - crash on exec cmd after disconnect fixed
  - path to tail after change in profilemanger fixed
  - save modified path of tail, ciscocertmgr fixed
  - deleting profile fixed [kde4]
  - crash at smartcard options widget fixed [kde4]
  - selector on authentication page fixed [kde4]
  - gui freeze eleminations [kde4]
  - username display on status fixed (openvpn) [kde4]
  - use remote network changing on profilenetworkgeneraloptions fixed [kde4]
  - replace custom bug report entry with homepage call entry [kde4]
  - profiletype on profilemanger fixed [kde4]
  - interface detection fixed [kde4]
  - racoon specific page moved to connection specific in profilemanger [kde4]
  - restoring last profile fixed [kde4]
  - echo mode on import certificate dialog fixed [kde4]
  - echo mode on psk options dialog fixed [kde4]
  - echo mode on cisco manually dialog fixed [kde4]
  - manageciscocert dialog fixed [kde4]
  - read profile data fixed (pcf file) [kde4]
  - crash on openening profilemanger fixed [kde4]
  - wrong profile name on pcf import fixed if name still exists
  - fixes regarding dns update
  - saving cisco nat mode fixed
  - ipsec setup fix
  - rename to empty name fixed
  - memory leak fixes
  - vpn type in import/export fixed
  - vtun path on preferences dialog fixed
  - ssh path on preferences dialog fixed
  - script-security option fixed (openvpn) thanks to Thomas Bartschies
  - mtu/mru options at preferences dialog fixed (openvpn) thanks to Thomas Bartschies
  - dns update fixed (openvpn) thanks to Thomas Bartschies
  - TlsRemoteHostCheckBox fixed
  - renegsec option fixed (openvpn)
  - ask user password on each connect option added
  - HOME/bin now in search path of default paths
  - default paths search order changed
  - useless comment on tail info removed
  - DNS_UPDATE option renamed to Update DNS configuration, if not checked, /etc/resolv.conf will not changed
  - ping_check.sh now useable with ash
  - ping_check.sh device parameter added
  - connection status check now uses tunnel device
  - translation update
  - empty patch checking on load/save added
  - detecting pkcs11 ids for openvpn via openvpn added
  - option for selecting open profilemanger after import added
  - pkcs11 parameters changed for openvpn >= 2.1rc-9
  - openvpn version detection improved
  - pkcs11 token support for other than etoken added
  - dns domain added for pptp
  - kde3 type in version added

* Sat Dec 20 2008 Carsten Schoene <cs@linux-administrator.com>
- release new version 0.9.1
 * Bugfixes
  - disconnect on kde shutdown fixed
  - icon state on vpntypesinfo dialog fixed
  - typo fixes
  - quick connect fixed
  - crash on close fixed
  - dpd idle timeout fixed (vpnc)
  - quick connect fixed
  - dns server and dns domain on newprofilewizard fixed (pptp)
  - hotfix for restoring resolv.conf (pptp)
  - disconnect on kde shutdown fixed
  - resolvconf call in upscript fixed (openvpn)
  - auth type fixed on kvpnc profile file import (openvpn)
  - default route replace fixed (pptp)
  - selector update fixed (vtun, ssh)
  - tunnel interface ip on tap mode in tooltip fixed (ssh)
  - crash on gnome-ssh-askpass use fixed
  - version info on for vtund fixed
  - some options work only in udp mode fixed (openvpn)
  - username, password fixed on pptp
  - pptp on preferencesdialog fixed
  - authentication type sync fixed
  - racoon id fixes
  - hash algo fixed (racoon)
  - connect success status msg fixed
  - virtual interface on mode config fixed (racoon)
  - xauth fixes (racoon)
  - peers identifier type fixed on racoon
  - hybrid on racoon fixed
  - crash at manageciscocert dialog fixed
  - virtual ip fixes (ipsec)
  - displaying cisco cert fixed
  - username/password auth dialog on ipsec fixed
  - ipsec start fixed
  - credits fixed
  - resolvconf on openvpn fixed
  - typo fixed on export xml
  - local id, remote id fixed on psk (*swan)
  - xauth password dialog fixed
  - exchange mode fixed
  - ipsec whack --status output fixed
  - tls-auth fixed on openvpn
  - racoon l2tpd fixed
  - adding additional network routes fixed (if no device given)
  - authentication problems with l2tp fixed
  - hideOnCloseInfo fixed
  - pppd mppe check fixed
  - remote network fixed in preferencesdialog (raccon)
  - psk save fixed on newprofilewizard (vpnc manually)
  - username in tooltip fixed
  - username fixed after reenter (vpnc)
  - default route fixed (freeswan)
  - restoring default route fixed (pptp)
  - remote id type fixed (newprofile wizard)
  - racoon algorithms fixed
  - psk file permission fixed (racoon)
  - userdefinied dns server fixed (pptp)
  - dns server fixed (pptp)
  - diffie hellman group fixed on racoon
  - freeze if vpnc run directory not exists fixed
  - ipsec page fixed on l2tp ipsec (newprofilewizard)
  - remote port fixed on newprofile wizard (openvpn)
  - replacedefaultroute test fixed
  - logviewer process refresh fixed
  - cert and nexthop entries fixed on ipsec file import
  - detecing gw ip of default interface fixed
  - psk fixed at openvpn config file import fixed
  - authentication algorithm fixed (openvpn)
  - automatic auth inconsistency fix fixed
  - http proxy options fixed in preferencesdialog
  - loading tun module fixed on openvpn
  - certificate import fixed
  - auth type on ipsec import fixed
  - default section type handling fixed (ipsec import)
  - psk secrets file fixed on ipsec import
  - cert path on ipsec import fixed
  - private key on ipsec import fixed
  - ca cert path is disabled at ipsec fixed
  - resolv.conf restore fixed if dns_update is not set (vpnc)
  - spelling fixes
  - ping check fixed (thanks to Konstantin U)
  - dont save username option fixed
  - segfault at pptp deamon select fixed
  - pfs typo fixed
  - crash after deleteing last profile on closing preferencesdialog fixed
  - ike and esp parameters fixed (ipsec)
  - kvpnc profile import fixed
  - dns_update fixed (really, thanks to Igor Bujna)
  - netmask at edit network route fixed
  - dns_update fixed
  - pcf import at vpnclient fixed
 * Features
  - kde4 port
  - better formatted remote/port option in generated openvpn config
  - donate url changed
  - cmd outputs added: before connect, after connect, before disconnect, after disconnect
  - more debug output on newprofilewizard (pptp settings)
  - more status info at preferencesdialog
  - kvpnc now ask only for user data if not already collected
  - more debug info on close added
  - query exit now asks
  - option for costum ssh remote network script added
  - required tools check improved (ssh)
  - network mask on tap mode added (ssh)
  - other type specific pages now disabled (ssh)
  - ssh options now really shown if type changed
  - checking default route count added (pptp)
  - tunnel device type added in profilewizward (ssh)
  - tls-auth direction detection in openvpn import added
  - ssh tool info added
  - ksshaskpass info added
  - ssh-askpass-gnome info added
  - ssh connection type added
  - tap mode added (ssh)
  - credits for ansgar added
  - eap option added pptp
  - 30Eur donation credits added, thanks to Christoph Schmid
  - ipsec page is now disabled on racoon
  - getHostname function added in utils
  - mode config password is now send via stdin instead of psk file
  - racoon will now stopped correctly if in connection state
  - hash algorithm description changed to authentication algorithm phase 1
  - mode config added (racoon)
  - certificate url requester now hidden on hybrid
  - hybrid auth type on newprofilewizard added
  - xauth support addded (racoon)
  - racoon now uses racoonctl
  - hybrid mode (ca cert and name/password) added (racoon)
  - cisco config file import now uses filename instead of groupname
  - disable bind option added (openvpn)
  - help link on openswan/strongswan options added
  - more options on openvpn config file import added: fragement, mssfix, nobind, tun-mtu, reneg-sec, ping, ping-restart
  - rename menu entry added
  - better xml import user feedback on xml import
  - vpn types info dialog added (shows if all is availiable for an specific vpn)
  - exchange mode now set always to main if strongswan is used
  - openswan handling more reliable made
  - support for openvpn >= 2.1-rc script parameter added
  - openl2tp will now automaticlly started/stopped
  - conntect try now really stops if max connect retries reached (*swan)
  - openl2tp support added
  - leftsourceip/rightsourceip now in right fields on profile manager
  - support for virtual subnets (virtual_private) added (openswan/strongswan)
  - psk in preferencesdialog fixed (*swan)
  - cpu usage reduced on debug console
  - group password is now hidden on high kvpnc debug level (vpnc)
  - better status detection of l2tp connect
  - l2tpd debug modes added (avp, packet, network, state)
  - better info on killing pptp
  - tooltip at toolsinfo dialog added
  - if peer sends an other id as we expect, user can confirm it and reconnect with a click
  - ipsec config import now understands more options: leftxauthclient, rightxauthserver, keyingtries, pfs, pfsgroup, aggrmode
  - virtual ip support added (openswan/strongswan)
  - pppd info in toolsinfo dialog added
  - userpage is now only added if xauth or l2tp (ipsec)
  - xauth support on strongswan added
  - ike and esp settings can manually extended
  - auth dialog after xauth fail added
  - made plutostderrlog obsolete (now use ipsec whack)
  - xauth support on openswan added
  - better info at delete profile
  - better formatted output on adding/removing additional network routes
  - hide group password option in account data dialog added (vpnc,vpnclient)
  - improved pptp handling
  - user gets a warning that extra route is needed if no defaultroute to vpn will be set (newprofilewizard)
  - dpd idle timeout support added (vpnc, vpnclient)
  - pppd option detection reworked
  - show password dialog if authentication has been failed (pptp, openvpn)
  - resolvconf support for openvpn
  - resolvconf support for pptp
  - tcp tunnling mode now also possible (original cisco client)
  - natt now can be disabled (vpnc, original cisco)
  - tunnling port can be specified on original cisco
  - local identifier can now be set on raccon
  - remote identifier can now be set on raccon
  - if kwallet will be deactivated the user now will asked if really wanted
  - route page at cisco added (new profilewizward)
  - checking for tail added
  - path for tail can be specified
  - extra routes for pptp added
  - verify ca cert option added (racoon)
  - support for strongswan 4.2.2rc5 added (plutostderrlog option)
  - network routes added in newprofile wizard
  - ipsec settings rewrite in preferencesdialog
  - final picture in profilewizward added
  - mschap auth selection added (pptp)
  - mschap-v2 auth selection added (pptp)
  - option for disabling ipx added (pptp)
  - option for disabling tcp header compression added (pptp)
  - option for disabling magic number negotiation added (pptp)
  - option for disabling protocol field compression added (pptp)
  - option for disabling address/control compression added (pptp)
  - lzo compression is now disabled by default (openvpn)
  - kernel level debug option added
  - use network option added
  - option for open profile manager after import added
  - option for ipsec vpn mode (transport/tunnel) added
  - default mtu/mru added (pptp)
  - auth selector always active on cert/psk part
  - duplicate options regarding default route removed
  - saving network routes also if its deactivated
  - tun1, tun2, tap0, tap1, tap2 in addroutedialog added
  - automatic saving options if needed added

* Mon Dec 24 2007 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.9.0
- nt domain name fixed for pptp
- keeping default route on pptp fixed
- setting route to vpn server if replace default route fixed
- removing additional network routes fixed
- connection hangs because no data from management interface was recieved fixed on openvpn
- save only profiles after dialog if needed (openvpn)
- tunnel interface now better regonized (openvpn)
- the network interface now can be manually typed in at addroutedialog
- openvpn resolv.conf handling fixed
- crash at logviewer dialog fixed
- close event for kicker implemented
- crash at kde shutdown fixed
- toolinfo dialog now shows what requires a tool
- displaying username in connection status fixed
- extra route for gateway added (pptp)
- crash on pptp disconnect fixed
- empty pfs fixed (vpnc)
- empty dh group fixed (vpnc)
- resolv.conf corruption on connecting fixed (pptp)
- option for fixing the path mtu problem added (http://pptpclient.sourceforge.net/howto-diagnosis.phtml#connections_freeze)
- certificate support for vpnclient added
 	- cert file import
 	- cisco cert store management
 	- online enrollment (scep)
- certificate support for original cisco client added
- certificate manager for original cisco client added
- todo list added
- better view in deamonoptions widget and helperprogramoptions widget
- context menu on route listview added
- authentication algorithm now by default disabled (openvpn)
- openvpn smartcard fixes
- better user info at openvpn
- better vtun error handling
- disableDataEncryption for vpnx 0.5.x added
- basic support for vtun added
- profile import improved
- profile saving fixed if profilemanger called
- better information for the user at profile saving
- resolv.conf restore on openvpn fixed
- danish translation added. Thanks to Christiansen <susebruger@mailme.dk> for made it.
- vpnc disconnect fixed
- natt mode none removed from cisco settings (obsolete)
- tooltip for natt mode in cisco settings fixed
- virtual ip on tap mode for openvpn fixed
- tunneldevice type change fixed if virtual ip is disabled
- disable tail for freeswan because it doesnt support plutostderrlog
- option for selecting natt mode for cisco (vpnc) added
- listen detection of already used port improoved
- better error reporting at already used port for openvpn
- first connect doesnt work fixed (bug #9977)
- my_identifier option for racoon added
- freeswan/openswan/strongswan config import added
- bash test added
- use /bin/bash as shell interpreter
- export profiles and global settings added
- import profiles and global settings added
- special chars now replaced with underscore in profile import
- cpu usage reduced by improoved duration event
- 15� donation credits added, Andreas Diestelmann
- 30$ donation credits added, thanks to Frank Visconti
- patch for setting DNS_UPDATE applied  (thanks to Igor Bujna)
- restoring route and resolv.conf on connecting state fixed (vpnc)
- path for pptp fixed
- disable nat-t for vpnc >= 0.4.x fixed
- pcf import fixed (udp port)
- process environment fixed
- local ip address of tunnel is now right shown (pptp)
- pptp route problem fixed
- pptp is now right terminating
- adding/removing additional network routes are now right shown in log
- colored log output in logviewer
- option for count of lines in logviewer added
- searching in logviewer content added
- progress bar at loading logfile on logviewer added
- debug console now usees qtextbrowser instead qtextedit
- resolv.conf/resolvconf fixes
- setting english as environment for processes
- pptp debug level renamed to log level
- pptp debug option added
- virtual ip check in preferencesdialog fixed
- virtual ip option in newprofile wizard added
- virtual ip option for pptp added
- mru settings in network general settings added (for pptp)
- mtu and mru settings in network settings at newprofile wizard added
- default value for mtu and mru in newprofile wizard changed to 1492
- xl2tpd detection fixed
- ipsec log parsing fixed
- l2tpd parsing enhanced
- debug option for l2tpd added
- debug option for xl2tpd added
- save username, password and psk in enterpassworddialog reworked
- pfs and dh group settings moved from advanced settings dialog to cisco and racoon settings
- application version and single des option moved to cisco settings
- profile saveing time improved
- vpnc 0.3.2 is working again
- new reject message from vpnc 0.5.0 will now regonized
- option for openvpn auth direction added
- additional network route can now be modified
- removing password entry from pap-secrets/chap-secrets file fixed
- made test of replacedefaultroute more reliable
- psk in file fixed
- virtual ip in preferences dialog fixed (openvpn)
- reconnect delay fixed
- option for userdefinied dns search domain added (pptp)
- virtual ip entry fixed (openvpn)
- support for x2ltpd added
- x2ltpd will be used if availiable instead of l2tpd
- duration in tooltip added
- debug output for vpnc config added (if loglevel > 3)
- empty ID will now reported and stops connecting (vpnc)
- requiremppe128 detection for pppd added
- cancel at user data dialog fixed
- support for propritary (original) cisco client added

* Tue May 01 2007 Carsten Schoene <cs@linux-administrator.com>
- openvpn private key password fixed
- private key password dialog fixed
- openvpn import now copy cert files to kvpnc data dir if not absolute path is given
- connection time counter fixed
- crash at pcf import fixed
- option for delay before executing command after connect added
- tunnel device type selection move from openvpn options to network general settings
- tunnel device type selecttion for vpnc >= 0.4.0 added
- ifconfig entry for virtual ip in openvpn config fixed (thanks to Michal Pena)
- nt domain name fixed in wizard and profile setting
- fix for vpnc 0.4.0 which has changed udp option

authorization method added: pap (pptp)
* Tue Feb 13 2007 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.8.8
- tool detection fixed
- credits for swedish, japanese translatorsm, artworker and bughunter added
- smartcard options moved to separate part
- on timeout now the user got hints on a messagebox
- an profile rename the user can enter new name again after failed because illegal chars entered
- if peer uses another cipher and reports that, kvpnc automaticlly fix it (openvpn)
- cert and psk settings are spit in seperate widgets
- preferences dialog reworked for smaller size
- http proxy is now splitted from openvpn settings
- pkcs11-tool added to helper programs
- user data can now entered at wizard (cisco)
- option to change background color for debug console added
- smartcard support for strongswan added
- kvpnc now only asks for passphrase if private key is protected with a passphrase
- openvpn import now asks for username and password if auth is requested in import file
- openvpn import fixes
- if peer uses another tunnel type (tun/tap) and reports that, kvpnc automaticlly fix it (openvpn)
- if peer uses another authentication algorithm and reports that, kvpnc automaticlly fix it (openvpn)
- crash at failed port binding for openvpn management port fixed
- vpnc detection fixed
- better freeswan/openswan/strongswan detection
- kvpnc now shows the ipsec type (openswan, strongswan, freeswan)
- float option for allowing change of peers ip address added (openvpn)
- float option for allowing change of peers ip address added in wizard and import (openvpn)
- default authentication algorithm is now set to MD5 (openvpn)
- smardcard options implemented in newprofile wizard
- option for hide at startup added
- automatic backup of kvpnc config added
- automatic restore of network routes, resolv.conf and config added
- smartcard support added (openvpn)
- openvpn smartcard handler fixes
- connection status check fixed
- options for authentication and encryption algorithms added (racoon)
- l2tp support added (racoon)
- l2tp support added (openswan)
- racoon fixes
- openswan fixes
- menu entry for reporting bugs added
- menu entry for donate money now works if run via kdesu
- feedback mail report added
- option for authentication algorithm added (openvpn)
- certificate import fixes
- option for killing still running racoon (if not from kvpnc started) added
- option for killing still running l2tpd (if not from kvpnc started) added
- crash on connecting state of racoon fixed
- default route option now moved to network - route
- dcop functions added:
   void doSendFeedbackMail()
   QStringList getProfileTypes()
- iptables support for racoon added
- nt domain name for authentication added (pptp)

* Wed Dec 13 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.8.7

* Fri Sep 29 2006 Carsten Schoene <cs@linux-administrator.com>
- build of bugfix release 0.8.6.1 for SuSE 10.0

* Mon Sep 25 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to release 0.8.6

* Fri May 19 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to bugfix release 0.8.5.1

* Thu May 18 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to final 0.8.5

* Sat Apr 08 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to final 0.8.4

* Sun Mar 05 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to final 0.8.3

* Tue Feb 21 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.8.3-rc5 (test-build) 

* Mon Dec 26 2005 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.8.2.1

* Sat Dec 24 2005 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.8.2 , requirement of libcrypto++ is replaced with libgcrypt

* Mon Oct 24 2005 Carsten Schoene <cs@linux-administrator.com>
- first working build for SuSE 10.0, needs libcrypto++

* Fri Oct 07 2005 Carsten Schoene <cs@linux-administrator.com>
- rebuild for SuSE 10.0

